Search found 5 matches

by ssuominengentoo
2014-04-07T21:31:08-07:00
Forum: Bugs
Topic: ImageMagick-6.8.8-10 _JP2_DELEGATE vs. _LIBOPENJP2_DELEGATE
Replies: 1
Views: 3113

ImageMagick-6.8.8-10 _JP2_DELEGATE vs. _LIBOPENJP2_DELEGATE

There are some confusion about defines of MAGICKCORE_JP2_DELEGATE and MAGICKCORE_LIBOPENJP2_DELEGATE that was reported by Alexander Miller at: http://bugs.gentoo.org/show_bug.cgi?id=503692#c7 (This specific comment in the bug, not others.) The patch for easy fetching, https://503692.bugs.gentoo.org/...
by ssuominengentoo
2014-04-06T05:10:54-07:00
Forum: Bugs
Topic: ImageMagick-6.8.8-10 configure.ac has useless mupdf check
Replies: 2
Views: 2911

Re: ImageMagick-6.8.8-10 configure.ac has useless mupdf chec

Not to mention, if mupdf libs and headers are intended to be used in the future, there is mupdf.pc pkg-config file that should be queried, rather than using the old-styled AC_CHECK_* for them
by ssuominengentoo
2014-04-06T05:09:59-07:00
Forum: Bugs
Topic: ImageMagick-6.8.8-10 configure.ac has useless mupdf check
Replies: 2
Views: 2911

ImageMagick-6.8.8-10 configure.ac has useless mupdf check

The configure.ac checks for mupdf libraries and headers, but nothing in ImageMagick is actually using them No mupdf libraries used, no #include's either Basically you can trick the build system by: export ac_cv_lib_mupdf_fz_new_context=yes export ac_cv_header_mupdf_fitz_h=yes ./configure --with-mupd...
by ssuominengentoo
2014-04-06T05:06:10-07:00
Forum: Bugs
Topic: ImageMagick-6.8.8-10 is not compatible with OpenJPEG-2.0.0
Replies: 2
Views: 3265

ImageMagick-6.8.8-10 is not compatible with OpenJPEG-2.0.0

function opj_stream_destroy_v3() doesn't exist in the latest OpenJPEG-2.0.0 release, only opj_stream_destroy() does while it compiles, it renders the jpeg2k support useless this was reported at http://bugs.gentoo.org/503692 by Alexander Miller The opj_stream_destroy_v3() function was added to the AP...